FROM debian:latest

RUN apt-get update && apt-get install -y \
    build-essential \
    cmake \
    git \
    nlohmann-json3-dev wget curl cmake ninja-build mold build-essential nodejs npm jq ccache \
    && rm -rf /var/lib/apt/lists/*

#RUN curl -fsSL https://get.docker.com | sh

COPY --chmod=0755 ./src/* /usr/local/bin/

RUN /usr/local/bin/dropshell-build-install-requirements

WORKDIR /app

CMD ["dropshell-build","/app"]


